import * as __WEBPACK_EXTERNAL_MODULE_react__ from "react";
import * as __WEBPACK_EXTERNAL_MODULE__tachybase_schema__ from "@tachybase/schema";
import * as __WEBPACK_EXTERNAL_MODULE_antd__ from "antd";
import * as __WEBPACK_EXTERNAL_MODULE_lodash__ from "lodash";
import * as __WEBPACK_EXTERNAL_MODULE_lodash_cloneDeep__ from "lodash/cloneDeep";
import * as __WEBPACK_EXTERNAL_MODULE_lodash_omit__ from "lodash/omit";
import * as __WEBPACK_EXTERNAL_MODULE_react_i18next__ from "react-i18next";
import * as __WEBPACK_EXTERNAL_MODULE__index_mjs__ from "./index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__api_client_index_mjs__ from "../api-client/index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__ from "../record-provider/index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__ from "../schema-component/index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__schema_component_antd_filter_useFilterActionProps_mjs__ from "../schema-component/antd/filter/useFilterActionProps.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__ from "./ResourceActionProvider.mjs";
const useCancelAction = ()=>{
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    return {
        async run () {
            ctx.setVisible(false);
            form.reset();
        }
    };
};
const useValuesFromRecord = (options)=>{
    const record = (0, __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__.useRecord)();
    const result = (0, __WEBPACK_EXTERNAL_MODULE__api_client_index_mjs__.useRequest)(()=>Promise.resolve({
            data: (0, __WEBPACK_EXTERNAL_MODULE_lodash_omit__["default"])((0, __WEBPACK_EXTERNAL_MODULE_lodash_cloneDeep__["default"])(record), [
                '__parent',
                '__collectionName'
            ])
        }), {
        ...options,
        manual: true
    });
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    (0, __WEBPACK_EXTERNAL_MODULE_react__.useEffect)(()=>{
        if (ctx.visible) result.run();
    }, [
        ctx.visible
    ]);
    return result;
};
const useResetFilterAction = ()=>{
    const { run } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    return {
        async run () {
            form.reset();
            run();
            ctx.setVisible(false);
        }
    };
};
const useKanbanEvents = ()=>{
    const { resource } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollection_deprecated)();
    return {
        async onCardDragEnd (param, param1, param2) {
            let { columns, groupField } = param, { fromColumnId, fromPosition } = param1, { toColumnId, toPosition } = param2;
            var _sourceColumn_cards, _destinationColumn_cards;
            const sourceColumn = columns.find((column)=>column.id === fromColumnId);
            const destinationColumn = columns.find((column)=>column.id === toColumnId);
            const sourceCard = null == sourceColumn ? void 0 : null === (_sourceColumn_cards = sourceColumn.cards) || void 0 === _sourceColumn_cards ? void 0 : _sourceColumn_cards[fromPosition];
            const targetCard = null == destinationColumn ? void 0 : null === (_destinationColumn_cards = destinationColumn.cards) || void 0 === _destinationColumn_cards ? void 0 : _destinationColumn_cards[toPosition];
            const values = {
                sourceId: sourceCard.id,
                sortField: "".concat(groupField.name, "_sort")
            };
            if (targetCard) values['targetId'] = targetCard.id;
            else values['targetScope'] = {
                [groupField.name]: toColumnId
            };
            await resource.move(values);
        }
    };
};
const useSortFields = (collectionName)=>{
    const { getCollectionFields, getInterface } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const fields = getCollectionFields(collectionName);
    return fields.filter((field)=>{
        if (!field.interface) return false;
        const fieldInterface = getInterface(field.interface);
        if (null == fieldInterface ? void 0 : fieldInterface.sortable) return true;
        return false;
    }).map((field)=>{
        var _field_uiSchema;
        return {
            value: field.name,
            label: (null == field ? void 0 : null === (_field_uiSchema = field.uiSchema) || void 0 === _field_uiSchema ? void 0 : _field_uiSchema.title) || field.name
        };
    });
};
const useChildrenCollections = (collectionName)=>{
    const { getChildrenCollections } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const childrenCollections = getChildrenCollections(collectionName);
    return childrenCollections.map((collection)=>({
            value: collection.name,
            label: (null == collection ? void 0 : collection.title) || collection.name
        }));
};
const useSelfAndChildrenCollections = (collectionName)=>{
    const { getChildrenCollections, getCollection } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const childrenCollections = getChildrenCollections(collectionName);
    const self = getCollection(collectionName);
    if (!collectionName) return null;
    const options = childrenCollections.map((collection)=>({
            value: collection.name,
            label: (null == collection ? void 0 : collection.title) || collection.name
        }));
    options.unshift({
        value: self.name,
        label: (null == self ? void 0 : self.title) || self.name
    });
    return options;
};
const useCollectionFilterOptions = (collection, dataSource)=>{
    const { getCollectionFields, getInterface } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    return (0, __WEBPACK_EXTERNAL_MODULE_react__.useMemo)(()=>{
        const fields = getCollectionFields(collection, dataSource);
        const field2option = (field, depth)=>{
            var _field_uiSchema, _operators_filter;
            if (!field.interface) return;
            const fieldInterface = getInterface(field.interface);
            if (!(null == fieldInterface ? void 0 : fieldInterface.filterable)) return;
            const { nested, children, operators } = fieldInterface.filterable;
            const option = {
                name: field.name,
                title: (null == field ? void 0 : null === (_field_uiSchema = field.uiSchema) || void 0 === _field_uiSchema ? void 0 : _field_uiSchema.title) || field.name,
                schema: null == field ? void 0 : field.uiSchema,
                operators: (null == operators ? void 0 : null === (_operators_filter = operators.filter) || void 0 === _operators_filter ? void 0 : _operators_filter.call(operators, (operator)=>!(null == operator ? void 0 : operator.visible) || operator.visible(field))) || [],
                interface: field.interface
            };
            if (field.target && depth > 2) return;
            if (depth > 2) return option;
            if (null == children ? void 0 : children.length) option['children'] = children;
            if (nested) {
                const targetFields = getCollectionFields(field.target, dataSource);
                const options = getOptions(targetFields, depth + 1).filter(Boolean);
                option['children'] = option['children'] || [];
                option['children'].push(...options);
            }
            return option;
        };
        const getOptions = (fields, depth)=>{
            const options = [];
            fields.forEach((field)=>{
                const option = field2option(field, depth);
                if (option) options.push(option);
            });
            return options;
        };
        const options = getOptions(fields, 1);
        return options;
    }, [
        __WEBPACK_EXTERNAL_MODULE_lodash__["default"].isString(collection) ? collection : null == collection ? void 0 : collection.name,
        dataSource
    ]);
};
const useCollectionFilterOptionsV2 = (collection)=>{
    const { getCollectionFields, getInterface } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const getFields = (0, __WEBPACK_EXTERNAL_MODULE_react__.useCallback)(()=>{
        const fields = getCollectionFields(collection);
        const field2option = (field, depth)=>{
            var _field_uiSchema, _operators_filter;
            if (!field.interface) return;
            const fieldInterface = getInterface(field.interface);
            if (!(null == fieldInterface ? void 0 : fieldInterface.filterable)) return;
            const { nested, children, operators } = fieldInterface.filterable;
            const option = {
                name: field.name,
                title: (null == field ? void 0 : null === (_field_uiSchema = field.uiSchema) || void 0 === _field_uiSchema ? void 0 : _field_uiSchema.title) || field.name,
                schema: null == field ? void 0 : field.uiSchema,
                operators: (null == operators ? void 0 : null === (_operators_filter = operators.filter) || void 0 === _operators_filter ? void 0 : _operators_filter.call(operators, (operator)=>!(null == operator ? void 0 : operator.visible) || operator.visible(field))) || [],
                interface: field.interface
            };
            if (field.target && depth > 2) return;
            if (depth > 2) return option;
            if (null == children ? void 0 : children.length) option['children'] = children;
            if (nested) {
                const targetFields = getCollectionFields(field.target);
                const options = getOptions(targetFields, depth + 1).filter(Boolean);
                option['children'] = option['children'] || [];
                option['children'].push(...options);
            }
            return option;
        };
        const getOptions = (fields, depth)=>{
            const options = [];
            fields.forEach((field)=>{
                const option = field2option(field, depth);
                if (option) options.push(option);
            });
            return options;
        };
        const options = getOptions(fields, 1);
        return options;
    }, [
        __WEBPACK_EXTERNAL_MODULE_lodash__["default"].isString(collection) ? collection : null == collection ? void 0 : collection.name
    ]);
    return {
        getFields
    };
};
const useLinkageCollectionFilterOptions = (collectionName)=>{
    const { getCollectionFields, getInterface } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const fields = getCollectionFields(collectionName);
    const field2option = (field, depth)=>{
        var _field_uiSchema, _operators_filter;
        if (!field.interface) return;
        const fieldInterface = getInterface(field.interface);
        if (!(null == fieldInterface ? void 0 : fieldInterface.filterable)) return;
        const { nested, children, operators } = fieldInterface.filterable;
        const option = {
            name: field.name,
            title: (null == field ? void 0 : null === (_field_uiSchema = field.uiSchema) || void 0 === _field_uiSchema ? void 0 : _field_uiSchema.title) || field.name,
            schema: null == field ? void 0 : field.uiSchema,
            operators: (null == operators ? void 0 : null === (_operators_filter = operators.filter) || void 0 === _operators_filter ? void 0 : _operators_filter.call(operators, (operator)=>!(null == operator ? void 0 : operator.visible) || operator.visible(field))) || [],
            interface: field.interface
        };
        if (field.target && depth > 2) return;
        if (depth > 2) return option;
        if (null == children ? void 0 : children.length) option['children'] = children;
        if (nested) {
            const targetFields = getCollectionFields(field.target).filter((v)=>{
                if ([
                    'hasMany',
                    'belongsToMany'
                ].includes(field.type)) return ![
                    'hasOne',
                    'hasMany',
                    'belongsTo',
                    'belongsToMany'
                ].includes(v.type);
                return ![
                    'hasMany',
                    'belongsToMany'
                ].includes(v.type);
            });
            const options = getOptions(targetFields, depth + 1).filter(Boolean);
            option['children'] = option['children'] || [];
            option['children'].push(...options);
        }
        return option;
    };
    const getOptions = (fields, depth)=>{
        const options = [];
        fields.forEach((field)=>{
            const option = field2option(field, depth);
            if (option) options.push(option);
        });
        return options;
    };
    const options = getOptions(fields, 1);
    return options;
};
const useCollectionFieldsOptions = function(collectionName) {
    let maxDepth = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : 2, excludes = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : [];
    const { getCollectionFields, getInterface } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    const fields = getCollectionFields(collectionName).filter((v)=>!excludes.includes(v.interface));
    const field2option = (field, depth, prefix)=>{
        var _field_uiSchema;
        if (!field.interface) return;
        const fieldInterface = getInterface(field.interface);
        if (!(null == fieldInterface ? void 0 : fieldInterface.filterable)) return;
        const { nested, children } = fieldInterface.filterable;
        const value = prefix ? "".concat(prefix, ".").concat(field.name) : field.name;
        const option = {
            ...field,
            name: field.name,
            title: (null == field ? void 0 : null === (_field_uiSchema = field.uiSchema) || void 0 === _field_uiSchema ? void 0 : _field_uiSchema.title) || field.name,
            schema: null == field ? void 0 : field.uiSchema,
            key: value
        };
        if (field.target && depth > maxDepth) return;
        if (depth > maxDepth) return option;
        if (null == children ? void 0 : children.length) option['children'] = children.map((v)=>({
                ...v,
                key: "".concat(field.name, ".").concat(v.name)
            }));
        if (nested) {
            const targetFields = getCollectionFields(field.target).filter((v)=>!excludes.includes(v.interface));
            const options = getOptions(targetFields, depth + 1, field.name).filter(Boolean);
            option['children'] = option['children'] || [];
            option['children'].push(...options);
        }
        return option;
    };
    const getOptions = (fields, depth, prefix)=>{
        const options = [];
        fields.forEach((field)=>{
            const option = field2option(field, depth, prefix);
            if (option) options.push(option);
        });
        return options;
    };
    const options = getOptions(fields, 1);
    return options;
};
const useFilterDataSource = (options)=>{
    const { name } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollection_deprecated)();
    const data = useCollectionFilterOptions(name);
    return (0, __WEBPACK_EXTERNAL_MODULE__api_client_index_mjs__.useRequest)(()=>Promise.resolve({
            data
        }), options);
};
const useFilterAction = ()=>{
    const { run, params, defaultRequest } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    const [first, ...others] = params;
    return {
        async run () {
            var _defaultRequest_params;
            const prevFilter = null == defaultRequest ? void 0 : null === (_defaultRequest_params = defaultRequest.params) || void 0 === _defaultRequest_params ? void 0 : _defaultRequest_params.filter;
            const filter = prevFilter ? {
                $and: [
                    prevFilter,
                    form.values.filter
                ]
            } : form.values.filter;
            run({
                ...first,
                filter
            }, ...others);
            ctx.setVisible(false);
        }
    };
};
const useCreateAction = (actionCallback)=>{
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const field = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useField)();
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    const { refresh } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const { resource } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    return {
        async run () {
            try {
                var _res_data;
                await form.submit();
                field.data = field.data || {};
                field.data.loading = true;
                const res = await resource.create({
                    values: form.values
                });
                ctx.setVisible(false);
                null == actionCallback || actionCallback(null == res ? void 0 : null === (_res_data = res.data) || void 0 === _res_data ? void 0 : _res_data.data);
                await form.reset();
                field.data.loading = false;
                refresh();
            } catch (error) {
                if (field.data) field.data.loading = false;
            }
        }
    };
};
const useCreateActionWithoutRefresh = (actionCallback)=>{
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const { resource } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    return {
        async run () {
            var _res_data;
            await form.submit();
            const res = await resource.create({
                values: form.values
            });
            null == actionCallback || actionCallback(null == res ? void 0 : null === (_res_data = res.data) || void 0 === _res_data ? void 0 : _res_data.data);
            await form.reset();
        }
    };
};
const useUpdateViewAction = (actionCallback)=>{
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const { message } = __WEBPACK_EXTERNAL_MODULE_antd__.App.useApp();
    const { t } = (0, __WEBPACK_EXTERNAL_MODULE_react_i18next__.useTranslation)();
    const { resource, targetKey } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const { [targetKey]: filterByTk } = (0, __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__.useRecord)();
    return {
        async run () {
            var _res_data;
            await form.submit();
            const res = await resource.update({
                filterByTk,
                values: form.values
            });
            null == actionCallback || actionCallback(filterByTk, null == res ? void 0 : null === (_res_data = res.data) || void 0 === _res_data ? void 0 : _res_data.data);
            message.success(t('Save successfully.'));
        }
    };
};
const useMoveAction = ()=>{
    const { resource } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const { refresh } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    return {
        async move (from, to) {
            await resource.move({
                sourceId: from.id,
                targetId: to.id
            });
            refresh();
        }
    };
};
const useUpdateAction = (actionCallback)=>{
    const field = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useField)();
    const form = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useForm)();
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useActionContext)();
    const { refresh } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const { resource, targetKey } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const { [targetKey]: filterByTk } = (0, __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__.useRecord)();
    return {
        async run () {
            await form.submit();
            field.data = field.data || {};
            field.data.loading = true;
            try {
                var _res_data;
                const res = await resource.update({
                    filterByTk,
                    values: form.values
                });
                ctx.setVisible(false);
                null == actionCallback || actionCallback(filterByTk, null == res ? void 0 : null === (_res_data = res.data) || void 0 === _res_data ? void 0 : _res_data.data);
                await form.reset();
                refresh();
            } catch (e) {
                console.error(e);
            } finally{
                field.data.loading = false;
            }
        }
    };
};
const useDestroyAction = (actionCallback)=>{
    const { refresh } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const { resource, targetKey } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const { [targetKey]: filterByTk } = (0, __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__.useRecord)();
    return {
        async run () {
            await resource.destroy({
                filterByTk
            });
            null == actionCallback || actionCallback(filterByTk);
            refresh();
        }
    };
};
const useBulkDestroyAction = (actionCallback)=>{
    const { state, setState, refresh } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    const { resource } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const { message } = __WEBPACK_EXTERNAL_MODULE_antd__.App.useApp();
    const { t } = (0, __WEBPACK_EXTERNAL_MODULE_react_i18next__.useTranslation)();
    return {
        async run () {
            var _state_selectedRowKeys;
            if (!(null == state ? void 0 : null === (_state_selectedRowKeys = state.selectedRowKeys) || void 0 === _state_selectedRowKeys ? void 0 : _state_selectedRowKeys.length)) return message.error(t('Please select the records you want to delete'));
            await resource.destroy({
                filterByTk: (null == state ? void 0 : state.selectedRowKeys) || []
            });
            null == actionCallback || actionCallback(null == state ? void 0 : state.selectedRowKeys);
            null == setState || setState({
                selectedRowKeys: []
            });
            refresh();
        }
    };
};
const useValuesFromRA = (options)=>{
    const ctx = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    return (0, __WEBPACK_EXTERNAL_MODULE__api_client_index_mjs__.useRequest)(()=>Promise.resolve(ctx.data), {
        ...options,
        refreshDeps: [
            ctx.data
        ]
    });
};
const useCreateActionAndRefreshCM = ()=>{
    const { run } = useCreateAction();
    const { refreshCM } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    return {
        async run () {
            await run();
            await refreshCM();
        }
    };
};
const useUpdateActionAndRefreshCM = ()=>{
    const { run } = useUpdateAction();
    const { refreshCM } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    return {
        async run () {
            await run();
            await refreshCM();
        }
    };
};
const useDestroyActionAndRefreshCM = ()=>{
    const { run } = useDestroyAction();
    const { refreshCM } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    return {
        async run () {
            await run();
            await refreshCM();
        }
    };
};
const useDeleteButtonDisabled = (record)=>{
    const recordFromProvider = (0, __WEBPACK_EXTERNAL_MODULE__record_provider_index_mjs__.useRecord)();
    return isDeleteButtonDisabled(record || recordFromProvider);
};
const isDeleteButtonDisabled = (record)=>{
    const { interface: i, deletable = true } = record || {};
    return !deletable || 'id' === i;
};
const useBulkDestroyActionAndRefreshCM = ()=>{
    const { run } = useBulkDestroyAction();
    const { refreshCM } = (0, __WEBPACK_EXTERNAL_MODULE__index_mjs__.useCollectionManager_deprecated)();
    return {
        async run () {
            await run();
            await refreshCM();
        }
    };
};
const useFilterActionProps = ()=>{
    var _service_state_params, _service_state;
    const { collection } = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceContext)();
    const options = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_antd_filter_useFilterActionProps_mjs__.useFilterFieldOptions)(collection.fields);
    const service = (0, __WEBPACK_EXTERNAL_MODULE__ResourceActionProvider_mjs__.useResourceActionContext)();
    return (0, __WEBPACK_EXTERNAL_MODULE__schema_component_antd_filter_useFilterActionProps_mjs__.useFilterFieldProps)({
        options: options.filter((option)=>[
                'title',
                'name'
            ].includes(option.name)),
        params: (null === (_service_state = service.state) || void 0 === _service_state ? void 0 : null === (_service_state_params = _service_state.params) || void 0 === _service_state_params ? void 0 : _service_state_params[0]) || service.params,
        service
    });
};
export { isDeleteButtonDisabled, useBulkDestroyAction, useBulkDestroyActionAndRefreshCM, useCancelAction, useChildrenCollections, useCollectionFieldsOptions, useCollectionFilterOptions, useCollectionFilterOptionsV2, useCreateAction, useCreateActionAndRefreshCM, useCreateActionWithoutRefresh, useDeleteButtonDisabled, useDestroyAction, useDestroyActionAndRefreshCM, useFilterAction, useFilterActionProps, useFilterDataSource, useKanbanEvents, useLinkageCollectionFilterOptions, useMoveAction, useResetFilterAction, useSelfAndChildrenCollections, useSortFields, useUpdateAction, useUpdateActionAndRefreshCM, useUpdateViewAction, useValuesFromRA, useValuesFromRecord };
